# Uses of Class
org.springframework.web.servlet.mvc.condition.ProducesRequestCondition

Packages that use ProducesRequestCondition
Package
Description
org.springframework.web.servlet.mvc.condition
Common MVC logic for matching incoming requests based on conditions.
org.springframework.web.servlet.mvc.method
Servlet-based infrastructure for handler method processing, building on the `org.springframework.web.method` package.

## Uses of ProducesRequestCondition in org.springframework.web.servlet.mvc.condition

Methods in org.springframework.web.servlet.mvc.condition that return ProducesRequestCondition
Modifier and Type
Method
Description
`ProducesRequestCondition`
ProducesRequestCondition.`combine(ProducesRequestCondition other)`
Returns the "other" instance if it has any expressions; returns "this" instance otherwise.
`ProducesRequestCondition`
ProducesRequestCondition.`getMatchingCondition(HttpServletRequest request)`
Checks if any of the contained media type expressions match the given request 'Content-Type' header and returns an instance that is guaranteed to contain matching expressions only.
Methods in org.springframework.web.servlet.mvc.condition with parameters of type ProducesRequestCondition
Modifier and Type
Method
Description
`ProducesRequestCondition`
ProducesRequestCondition.`combine(ProducesRequestCondition other)`
Returns the "other" instance if it has any expressions; returns "this" instance otherwise.
`int`
ProducesRequestCondition.`compareTo(ProducesRequestCondition other, HttpServletRequest request)`
Compares this and another "produces" condition as follows: Sort 'Accept' header media types by quality value via `MimeTypeUtils.sortBySpecificity(List)` and iterate the list.

## Uses of ProducesRequestCondition in org.springframework.web.servlet.mvc.method

Methods in org.springframework.web.servlet.mvc.method that return ProducesRequestCondition
Modifier and Type
Method
Description
`ProducesRequestCondition`
RequestMappingInfo.`getProducesCondition()`
Return the "produces" condition of this `RequestMappingInfo`; or instance with 0 produces expressions (never `null`).
Constructors in org.springframework.web.servlet.mvc.method with parameters of type ProducesRequestCondition
Modifier
Constructor
Description
``
`RequestMappingInfo(String name, PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.
``
`RequestMappingInfo(PatternsRequestCondition patterns, RequestMethodsRequestCondition methods, ParamsRequestCondition params, HeadersRequestCondition headers, ConsumesRequestCondition consumes, ProducesRequestCondition produces, RequestCondition<?> custom)`
Deprecated.
as of 5.3 in favor using `RequestMappingInfo.Builder` via `RequestMappingInfo.paths(String...)`.